# synfigapp::timepoints_ref Struct Reference

`#include <timegather.h>`

List of all members.

## Public Types

typedef std::set < ValueBaseTimeInfo > | waytracker
typedef std::set< ActiveTimeInfo > | acttracker

## Public Member Functions

void | insert (synfig::ValueNode_Animated::Handle v, synfig::Waypoint w)
| Definitions for build a list of accurate valuenode references.
void | insert (synfigapp::ValueDesc v, synfig::Activepoint a)

## Public Attributes

waytracker | waypointbiglist
acttracker | actpointbiglist

## Member Typedef Documentation

typedef std::set<ValueBaseTimeInfo> synfigapp::timepoints_ref::waytracker

typedef std::set<ActiveTimeInfo> synfigapp::timepoints_ref::acttracker

## Member Function Documentation

void synfigapp::timepoints_ref::insert | ( | synfig::ValueNode_Animated::Handle | v,
|  | synfig::Waypoint | w |
| ) |  |  |

Definitions for build a list of accurate valuenode references.

References synfigapp::ValueBaseTimeInfo::val, waypointbiglist, and synfigapp::ValueBaseTimeInfo::waypoints.

Referenced by synfigapp::recurse_valuedesc().

void synfigapp::timepoints_ref::insert | ( | synfigapp::ValueDesc | v,
|  | synfig::Activepoint | a |
| ) |  |  |

References synfigapp::ActiveTimeInfo::activepoints, actpointbiglist, and synfigapp::ActiveTimeInfo::val.

## Member Data Documentation

waytracker synfigapp::timepoints_ref::waypointbiglist

Referenced by insert(), synfigapp::Action::TimepointsMove::prepare(), synfigapp::Action::TimepointsDelete::prepare(), and synfigapp::Action::TimepointsCopy::prepare().

acttracker synfigapp::timepoints_ref::actpointbiglist

Referenced by insert(), synfigapp::Action::TimepointsMove::prepare(), synfigapp::Action::TimepointsDelete::prepare(), and synfigapp::Action::TimepointsCopy::prepare().

The documentation for this struct was generated from the following files:

- timegather.h
- timegather.cpp